// -*-C++-*-
// pdf.h
// $Id: pdf.h,v 1.1 2004/06/13 00:26:57 steve Exp steve $
//
// Copyright (C) 2001 Steve Atkins <steve@blighty.com>
// Last change: Time-stamp: <25-Jul-2004 16:03:24 steve>
//
//

#ifndef PDF_H
#define PDF_H

#ifndef CHART
#define NOCHART 1
#endif

extern int globaldebug;

#define DEBUGGRID() if(globaldebug & 256)

#include <qstring.h>
#include <iostream>

#define THROW(X) do { std::cerr << X << "\nAborting\n"; exit(1); } while(0)

class pdf {
public:
  enum Type { Text=0, Image, Break, Space };
  enum vAlign { vTop=0, vCentre, vBaseline, vBottom };
  enum hAlign { hLeft=0, hRight, hCentre, hJustify };
};


#endif // PDF_H
