// -*-C++-*-
// pdfCatalog.h
// $Id: pdfCatalog.h,v 1.1 2004/06/13 00:26:57 steve Exp $
//
// Copyright (C) 2001 Steve Atkins <steve@blighty.com>
// Last change: Time-stamp: <12-Jun-2004 17:21:51 steve>
//
//

#ifndef PDFCATALOG_H
#define PDFCATALOG_H

#include "pdfchunk.h"

class pdfdocument;
class pdfPages;

class pdfCatalog : public pdfchunk
{
public:
  pdfCatalog(pdfdocument *doc);
  virtual ~pdfCatalog();

  virtual const char * isA() const { return "pdfCatalog"; };
  virtual QByteArray pdfCatalog::render();

  void setPages(pdfPages *pages) { p_pages = pages; };

private:
  pdfPages *p_pages;
};


#endif // PDFCATALOG_H
