// -*-C++-*-
// pdfImage.h
// $Id$
//
// Copyright (C) 2001 Steve Atkins <steve@blighty.com>
// Last change: Time-stamp: <13-Jun-2004 15:52:22 steve>
//
//

#ifndef PDFIMAGE_H
#define PDFIMAGE_H

#include "pdfXobject.h"
#include <qimage.h>

class pdfImage : public pdfXobject
{
public:
  pdfImage(pdfdocument *doc, const QImage& image);
  virtual ~pdfImage();

  virtual const char * isA() const { return "pdfImage"; };
  virtual QByteArray render();

private:
  QImage p_image;
};


#endif // PDFIMAGE_H
