// -*-C++-*-
// pdfPages.h
// $Id: pdfPages.h,v 1.1 2004/06/13 00:26:57 steve Exp steve $
//
// Copyright (C) 2001 Steve Atkins <steve@blighty.com>
// Last change: Time-stamp: <12-Jun-2004 18:27:37 steve>
//
//

#ifndef PDFPAGES_H
#define PDFPAGES_H

#include "pdfchunk.h"

class pdfPages;
class pdfPage;

class pdfPages : public pdfchunk
{
public:
  pdfPages(pdfdocument *doc);
  virtual ~pdfPages();

  virtual const char * isA() const { return "pdfPages"; };
  virtual QByteArray render();
  void insertPage(pdfPage *p);

  int countPages();

private:
  QValueList<pdfPages*> subnodes;
  QValueList<pdfPage*> pages;
  pdfPages *parent;
};


#endif // PDFPAGES_H
