// -*-C++-*-
// pdfCatalog.cc
// $Id: pdfCatalog.cc,v 1.1 2004/06/13 00:26:57 steve Exp steve $
//
// Copyright (C) 2001 Steve Atkins <steve@blighty.com>
// Last change: Time-stamp: <11-Jul-2004 21:07:28 steve>
//
//

#include "pdfCatalog.h"
#include "pdfPages.h"

pdfCatalog::pdfCatalog(pdfdocument *doc) : pdfchunk(doc)
{
}

pdfCatalog::~pdfCatalog()
{
}

QByteArray pdfCatalog::render()
{
  //  cerr << "Entering pdfCatalog::render()\n";
  QByteArray ret(100);
  char *p = ret.data();
  p+=sprintf(p, "<< /Type /Catalog\n/Pages %d 0 R\n>>\n", p_pages->index());
  ret.resize(p - ret.data());
  return ret;
}
