// -*-C++-*-
// pdfchunk.h
// $Id: pdfchunk.h,v 1.1 2004/06/13 00:26:57 steve Exp steve $
//
// Copyright (C) 2001 Steve Atkins <steve@blighty.com>
// Last change: Time-stamp: <13-Jun-2004 15:17:51 steve>
//
//

#ifndef PDFCHUNK_H
#define PDFCHUNK_H

#include <qcstring.h>
#include <qmap.h>

class pdfdocument;
class pdfchunk;

class pdfchunk
{
public:
  pdfchunk();
  pdfchunk(pdfdocument *doc);
  virtual ~pdfchunk();

  virtual const char * isA() const { return "pdfchunk"; };
  int index() const { return idx; };
  void setIndex(int i) { idx = i; };
  pdfdocument *document() const { return p_document; };

  virtual QByteArray render()=0;

  QMap<pdfchunk*,int> references;

  int makestream(const QByteArray& in, const QByteArray& out, int offset, int type);
private:
  int idx;
  pdfdocument *p_document;
};


#endif // PDFCHUNK_H
